## org.eclipse.datatools.enablement.sybase.asa.base.catalog
Class SybaseASACatalogBaseTrigger

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseTriggerImpl
                                          org.eclipse.datatools.enablement.sybase.asa.base.catalog.SybaseASACatalogBaseTrigger

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASABaseTrigger, SQLObject, Trigger, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogBaseTrigger

extends SybaseASABaseTriggerImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogBaseTrigger()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`ActionGranularityType` `getActionGranularity()` Returns the value of the 'Action Granularity' attribute.
`org.eclipse.emf.common.util.EList` `getActionStatement()` Returns the value of the 'Action Statement' containment reference list.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` `getNewRow()` Returns the value of the 'New Row' attribute.
`java.lang.String` `getNewTable()` Returns the value of the 'New Table' attribute.
`java.lang.String` `getOldRow()` Returns the value of the 'Old Row' attribute.
`java.lang.String` `getOldTable()` Returns the value of the 'Old Table' attribute.
`int` `getOrder()`
`java.lang.String` `getRemoteName()`
`SybaseASABaseActionTime` `getSybaseASABaseActionTime()`
`org.eclipse.emf.common.util.EList` `getTriggerColumn()` Returns the value of the 'Trigger Column' reference list.
`SearchCondition` `getWhen()` Returns the value of the 'When' containment reference.
`boolean` `isDeleteType()` Returns the value of the 'Delete Type' attribute.
`boolean` `isInsertType()` Returns the value of the 'Insert Type' attribute.
`boolean` `isUpdateType()` Returns the value of the 'Update Type' attribute.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseTriggerImpl
`eGet, eIsSet, eSet, eUnset, getNewName, getOldName, isUpdateColumnType, setNewName, setOldName, setOrder, setRemoteName, setSybaseASABaseActionTime, setUpdateColumnType, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl
`basicGetSchema, basicGetSubjectTable, basicSetSchema, basicSetSubjectTable, basicSetWhen, eInverseAdd, eInverseRemove, getActionTime, getSchema, getSubjectTable, getTimeStamp, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Trigger
`getActionTime, getSchema, getSubjectTable, getTimeStamp, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASACatalogBaseTrigger

    public SybaseASACatalogBaseTrigger()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDescription` in interface `SQLObject`
  Overrides:
    `getDescription` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`

### getSybaseASABaseActionTime

    public SybaseASABaseActionTime getSybaseASABaseActionTime()

  Description copied from class: `SybaseASABaseTriggerImpl`

  Specified by:
    `getSybaseASABaseActionTime` in interface `SybaseASABaseTrigger`
  Overrides:
    `getSybaseASABaseActionTime` in class `SybaseASABaseTriggerImpl`
  Returns:
    the value of the 'Sybase ASA Base Action Time' attribute.
  See Also:
    `SybaseASABaseActionTime`, `SybaseASABaseTrigger.setSybaseASABaseActionTime(SybaseASABaseActionTime)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_SybaseASABaseActionTime()`

### getOrder

    public int getOrder()

  Description copied from class: `SybaseASABaseTriggerImpl`

  Specified by:
    `getOrder` in interface `SybaseASABaseTrigger`
  Overrides:
    `getOrder` in class `SybaseASABaseTriggerImpl`
  Returns:
    the value of the 'Order' attribute.
  See Also:
    `SybaseASABaseTrigger.setOrder(int)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_Order()`

### getActionGranularity

    public ActionGranularityType getActionGranularity()

  Description copied from interface: `Trigger`
  Returns the value of the 'Action Granularity' attribute. The default value is `"STATEMENT"`. The literals are from the enumeration `ActionGranularityType`.

  If the meaning of the 'Action Granularity' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getActionGranularity` in interface `Trigger`
  Overrides:
    `getActionGranularity` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Action Granularity' attribute.
  See Also:
    `ActionGranularityType`, `Trigger.setActionGranularity(ActionGranularityType)`, `SQLTablesPackage.getTrigger_ActionGranularity()`

### getWhen

    public SearchCondition getWhen()

  Description copied from interface: `Trigger`
  Returns the value of the 'When' containment reference.

  If the meaning of the 'When' containment reference isn't clear, there really should be more of a description here...

  Specified by:
    `getWhen` in interface `Trigger`
  Overrides:
    `getWhen` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'When' containment reference.
  See Also:
    `Trigger.setWhen(SearchCondition)`, `SQLTablesPackage.getTrigger_When()`

### getTriggerColumn

    public org.eclipse.emf.common.util.EList getTriggerColumn()

  Description copied from interface: `Trigger`
  Returns the value of the 'Trigger Column' reference list. The list contents are of type `Column`.

  If the meaning of the 'Trigger Column' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTriggerColumn` in interface `Trigger`
  Overrides:
    `getTriggerColumn` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Trigger Column' reference list.
  See Also:
    `SQLTablesPackage.getTrigger_TriggerColumn()`

### isUpdateType

    public boolean isUpdateType()

  Description copied from interface: `Trigger`
  Returns the value of the 'Update Type' attribute.

  If the meaning of the 'Update Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUpdateType` in interface `Trigger`
  Overrides:
    `isUpdateType` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Update Type' attribute.
  See Also:
    `Trigger.setUpdateType(boolean)`, `SQLTablesPackage.getTrigger_UpdateType()`

### isDeleteType

    public boolean isDeleteType()

  Description copied from interface: `Trigger`
  Returns the value of the 'Delete Type' attribute.

  If the meaning of the 'Delete Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isDeleteType` in interface `Trigger`
  Overrides:
    `isDeleteType` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Delete Type' attribute.
  See Also:
    `Trigger.setDeleteType(boolean)`, `SQLTablesPackage.getTrigger_DeleteType()`

### isInsertType

    public boolean isInsertType()

  Description copied from interface: `Trigger`
  Returns the value of the 'Insert Type' attribute.

  If the meaning of the 'Insert Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isInsertType` in interface `Trigger`
  Overrides:
    `isInsertType` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Insert Type' attribute.
  See Also:
    `Trigger.setInsertType(boolean)`, `SQLTablesPackage.getTrigger_InsertType()`

### getNewRow

    public java.lang.String getNewRow()

  Description copied from interface: `Trigger`
  Returns the value of the 'New Row' attribute.

  If the meaning of the 'New Row' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNewRow` in interface `Trigger`
  Overrides:
    `getNewRow` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'New Row' attribute.
  See Also:
    `Trigger.setNewRow(String)`, `SQLTablesPackage.getTrigger_NewRow()`

### getNewTable

    public java.lang.String getNewTable()

  Description copied from interface: `Trigger`
  Returns the value of the 'New Table' attribute.

  If the meaning of the 'New Table' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNewTable` in interface `Trigger`
  Overrides:
    `getNewTable` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'New Table' attribute.
  See Also:
    `Trigger.setNewTable(String)`, `SQLTablesPackage.getTrigger_NewTable()`

### getOldRow

    public java.lang.String getOldRow()

  Description copied from interface: `Trigger`
  Returns the value of the 'Old Row' attribute.

  If the meaning of the 'Old Row' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getOldRow` in interface `Trigger`
  Overrides:
    `getOldRow` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Old Row' attribute.
  See Also:
    `Trigger.setOldRow(String)`, `SQLTablesPackage.getTrigger_OldRow()`

### getOldTable

    public java.lang.String getOldTable()

  Description copied from interface: `Trigger`
  Returns the value of the 'Old Table' attribute.

  If the meaning of the 'Old Table' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getOldTable` in interface `Trigger`
  Overrides:
    `getOldTable` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Old Table' attribute.
  See Also:
    `Trigger.setOldTable(String)`, `SQLTablesPackage.getTrigger_OldTable()`

### getRemoteName

    public java.lang.String getRemoteName()

  Description copied from class: `SybaseASABaseTriggerImpl`

  Specified by:
    `getRemoteName` in interface `SybaseASABaseTrigger`
  Overrides:
    `getRemoteName` in class `SybaseASABaseTriggerImpl`
  Returns:
    the value of the 'Remote Name' attribute.
  See Also:
    `SybaseASABaseTrigger.setRemoteName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_RemoteName()`

### getActionStatement

    public org.eclipse.emf.common.util.EList getActionStatement()

  Description copied from interface: `Trigger`
  Returns the value of the 'Action Statement' containment reference list. The list contents are of type `SQLStatement`.

  If the meaning of the 'Action Statement' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getActionStatement` in interface `Trigger`
  Overrides:
    `getActionStatement` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Action Statement' containment reference list.
  See Also:
    `SQLTablesPackage.getTrigger_ActionStatement()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`